Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# TodoIterator Class Reference
[qpepim module]

The TodoIterator class provides iterators of TodoAccess. More...

`#include <qtopia/pim/todoaccess.h>`

List of all member functions.

## Public Members

- TodoIterator ( const TodoAccess & taskaccess )
- TodoIterator ( const TodoIterator & it )
- TodoIterator & operator= ( const TodoIterator & other )
- ~TodoIterator ()
- bool atFirst () const
- bool atLast () const
- const PimTask * toFirst ()
- const PimTask * toLast ()
- const PimTask * operator++ ()
- const PimTask * operator* () const
- const PimTask * current () const

## Detailed Description

The TodoIterator class provides iterators of TodoAccess.

The only way to traverse the data of an TodoAccess is with an TodoIterator.

See also Qtopia PIM Library.

## Member Function Documentation

### TodoIterator::TodoIterator ( const TodoAccess & taskaccess )

Constructs a new TodoIterator pointing to the start of the data in taskaccess.

### TodoIterator::TodoIterator ( const TodoIterator & it )

Constructs a copy of the iterator it.

### TodoIterator::~TodoIterator ()

Destroys the iterator

### bool TodoIterator::atFirst () const

Returns TRUE if the iterator is at the first item of the data. Otherwise returns FALSE.

### bool TodoIterator::atLast () const

Returns TRUE if the iterator is at the last item of the data. Otherwise returns FALSE.

### const PimTask * TodoIterator::current () const

If the iterator is at a valid PimTask returns a const pointer to the current PimTask. Otherwise returns 0.

### const PimTask * TodoIterator::operator* () const

If the iterator is at a valid PimTask returns a const pointer to the current PimTask. Otherwise returns 0.

### const PimTask * TodoIterator::operator++ ()

Sets the iterator to the next item of the data. If the iterator is moved pass the end of the list returns 0. Otherwise returns a const pointer to the current PimTask.

### TodoIterator & TodoIterator::operator= ( const TodoIterator & other )

Sets the iterator to be a copy of other.

### const PimTask * TodoIterator::toFirst ()

Sets the iterator to the first item of the data. If a PimTask exists in the data will return a const pointer to the PimTask. Otherwise returns 0.

### const PimTask * TodoIterator::toLast ()

Sets the iterator to the last item of the data. If a PimTask exists in the data will return a const pointer to the PimTask. Otherwise returns 0.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.